curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.debbiecollect.com/v1/{tenantId}/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.debbiecollect.com/v1/{tenantId}/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.debbiecollect.com/v1/{tenantId}/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.debbiecollect.com/v1/{tenantId}/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"phone": {
"locale": "45",
"number": "12345678"
},
"registryIdentifier": {
"scheme": "DK:CVR",
"value": "12345678"
},
"bankAccount": {
"type": "DANISH",
"registrationNumber": "<string>",
"accountNumber": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {}
}
]Get contacts
Get the contacts on the tenant, sorted by name. A contact is a third party the tenant communicates with or pays out to on behalf of a creditor — for example a locksmith hired during a collection case.
Required scope: read:contacts
curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.debbiecollect.com/v1/{tenantId}/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.debbiecollect.com/v1/{tenantId}/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.debbiecollect.com/v1/{tenantId}/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.debbiecollect.com/v1/{tenantId}/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"phone": {
"locale": "45",
"number": "12345678"
},
"registryIdentifier": {
"scheme": "DK:CVR",
"value": "12345678"
},
"bankAccount": {
"type": "DANISH",
"registrationNumber": "<string>",
"accountNumber": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {}
}
]Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the contacts belong to
Response
Successful operation
Id of the contact
Id of the tenant the contact belongs to
Name of the contact, e.g. the company or person
Email address emails from a case can be sent to
Phone number. null when unknown.
Show child attributes
Show child attributes
Company or person identifier of the contact, e.g. a CVR number. null when unknown.
Show child attributes
Show child attributes
Bank account payouts to the contact are made to. null when the contact is only used as an email or phone recipient.
Show child attributes
Show child attributes
When the contact was created
Who created the contact
When the contact was last updated. null when never updated.
Who last updated the contact. null when never updated.